Name:           drupal
Version:        6.34
Release:        1%{?dist}
Epoch:          0
Source0:        http://ftp.drupal.org/files/projects/%name-%version.tar.gz
Source1:        http://ftp.drupal.org/files/projects/biblio-6.x-1.0-beta3.tar.gz
Source2:        http://ftp.drupal.org/files/projects/zh-hans-6.x-1.0.tar.gz
Source3:        http://ftp.drupal.org/files/projects/zh-hant-6.x-1.1.tar.gz
Source4:        http://ftp.drupal.org/files/projects/ja-6.x-1.2.tar.gz
Source5:        ko-kr-6.x-1.0.tar.gz
Patch0:         drupal-6.1-rewritebase.patch
Patch1:         drupal-6.2-date-format.patch
Patch4:         SA-2008-067-6.5-modified.patch
Patch100:       drupal-6.28-SA-2013-001.patch
Summary:        Open source content management platform
URL:            http://www.drupal.org/
License:        GPLv2+
Group:          Applications/Publishing
Requires:       php
Requires:       php-gd
Requires:       php-mbstring
Requires:       wget
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Drupal is a free software package that allows an individual or a 
community of users to easily publish, manage and organize a wide variety 
of content on a website. Tens of thousands of people and organizations 
have used Drupal to power scores of different web sites, including

    * Community web portals
    * Discussion sites
    * Corporate web sites
    * Intranet applications
    * Personal web sites or blogs
    * Aficionado sites
    * E-commerce applications
    * Resource directories
    * Social Networking sites

%prep
%setup -q -a 2 -a 3 -a 4 -a 5 -q %{name}-%{version}
%patch0 -p0
%patch1 -p1
%patch4 -p0
%patch100 -p1

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_localstatedir}/www/drupal
cp -a * %{buildroot}%{_localstatedir}/www/drupal
cp -a .htaccess %{buildroot}%{_localstatedir}/www/drupal
tar xf %{SOURCE1} -C %{buildroot}%{_localstatedir}/www/drupal/modules

mkdir -p %{buildroot}%{_sysconfdir}/drupal
mv %{buildroot}%{_localstatedir}/www/drupal/sites/* %{buildroot}%{_sysconfdir}/drupal
rm -rf %{buildroot}%{_localstatedir}/www/drupal/sites
ln -s ../../..%{_sysconfdir}/drupal %{buildroot}%{_localstatedir}/www/drupal/sites

rm -f %{buildroot}%{_localstatedir}/www/drupal/*.txt
cat > %{buildroot}%{_sysconfdir}/drupal/robots.txt << EOF
User-agent: *
Disallow:   /
EOF
ln -s ../../..%{_sysconfdir}/drupal/robots.txt %{buildroot}%{_localstatedir}/www/drupal/robots.txt

mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
cat > %{buildroot}%{_sysconfdir}/httpd/conf.d/drupal.conf << EOF
#Alias /drupal %{_localstatedir}/www/drupal
#
#<Directory %{_localstatedir}/www/drupal>
#    Options +FollowSymLinks
#    AllowOverride All
#    Order allow,deny
#    Allow from all
#</Directory>
EOF

mkdir -p %{buildroot}%{_localstatedir}/lib/drupal
ln -s ../../..%{_localstatedir}/lib/drupal %{buildroot}%{_localstatedir}/www/drupal/files

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc *.txt
%dir %{_localstatedir}/www/drupal
%{_localstatedir}/www/drupal/*.php
%{_localstatedir}/www/drupal/*.txt
%{_localstatedir}/www/drupal/includes
%{_localstatedir}/www/drupal/misc
%{_localstatedir}/www/drupal/modules
%{_localstatedir}/www/drupal/profiles
%dir %{_localstatedir}/www/drupal/scripts
%attr(0755,root,root) %{_localstatedir}/www/drupal/scripts/*
%{_localstatedir}/www/drupal/sites
%{_localstatedir}/www/drupal/themes
%attr(710,root,apache) %dir %{_sysconfdir}/drupal
%attr(755,root,root) %dir %{_sysconfdir}/drupal/all
%attr(755,root,root) %dir %{_sysconfdir}/drupal/default
%attr(640,root,apache) %config(noreplace) %{_sysconfdir}/drupal/robots.txt
%attr(660,root,apache) %config(noreplace) %{_sysconfdir}/drupal/default/default.settings.php
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf.d/drupal.conf
%attr(660,root,apache) %config(noreplace) %{_localstatedir}/www/drupal/.htaccess

%changelog
* Fri Nov 28 2014 Bruce Dang <bruce.dang@asianux.com> - 0:6.34-1%{?dist}
- update to 6.34

* Mon Aug 11 2014 Daniel Dang <daniel.dang@asianux.com> - 0:6.33-1%{?dist}
- update to 6.33

* Wed Jul 23 2014 Alex Nguyen <alex.nguyen@asianux.com> - 0:6.32-1%{?dist}
- update to 6.32

* Fri Apr 18 2014 Jack Ngo <jack.ngo@asianux.com> - 0:6.31-1%{?dist}
- update to 6.31
- modify Source0 URL

* Fri Feb 28 2014 Red Hoang <red.hoang@asianux.com> - 0:6.30-1%{?dist}
- update to 6.30

* Fri Nov 08 2013 Tuananh Pham <anh.pt@asianux.com> - 0:6.28-4%{?dist}
- Add patch100 to fix security issue (AXBug#11731)

* Tue Oct 08 2013 Tuananh Pham <anh.pt@asianux.com> - 0:6.28-3%{?dist}
- Update tarball to fix AXBug#11731

* Mon Sep 23 2013 Tuananh Pham <anh.pt@asianux.com> - 0:6.28-2%{?dist}
- Fix AXBug#11731

* Tue Jan 29 2013 Chen Gang <gang.chen@asianux.com> - 0:6.28-1%{?dist}
- update to 6.28

* Tue Dec 25 2012 Celery Zhou <junqin.zhou@asianux.com> - 0:6.27-1%{?dist}
- update to 6.27

* Fri Feb 3 2012 Bill Ye <ting.ye@asianux.com> - 0:6.24-1%{?dist}
- update to 6.24 (bug10093) 

* Wed Jun 01 2011 Tuananh Pham <anh.pt@asianux.com> 0:6.22-1%{?dist}
- Update to 6.22

* Mon Aug 16 2010 Tingting Liu <maggie.liu@asianux.com> 0:6.19-1%{dist}
- update to 6.19

* Thu Mar 04 2010 Shu li <shu.li@asianux.com> 0:6.16-1%{dist}
- update to 6.16

* Thu Dec 17 2009 Shu Li <shu.li@asianux.com> - 0:6.15-1%{dist}
- update from 6.13 to 6.15
- remove SA-CORE-2009-008-6.13.patch which is useless for this version.

* Mon Sep 21 2009 Yuan Bo <yuanbo@redflaginux.com> - 0:6.13-2%{dist}
- Apply patch SA-CORE-2009-008-6.13.patch
  (patch5, AXBug#6977)

* Thu Jul 02 2009 Wang Chao <wangchao@redflag-linux.com> - 0:6.13-1%{?dist}
- update from 6.8 to 6.13 (source0, AXBug#6521)
- remove the patchs below, because they are no use in this version
- patch6 SA-CORE-2009-001-6.8.patch
  patch7 SA-CORE-2009-006-6.11-modified.patch
- modify patch4(SA-2008-067-6.5-modified.patch) to fit the version.

* Tue Jun 10 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 0:6.8-2%{?dist}
- modify SA-CORE-2009-006-6.11.patch to fit version 6.8 and apply it
  (Patch7, AXBug#6416)

* Mon Apr 20 2009 Hua Jie <jie.hua@asianux.com> - 0:6.8-1%{?dist}
- update from 6.4 to 6.8 (source0, AXBug#6110)
- remove the patches below, because they are no use in this new version
  patch2, drupal-6.2-install_locale.patch
  patch3, SA-2008-060-6.4.patch
  patch5, SA-2008-073-6.6.patch
- modify patch4(SA-2008-067-6.5-modified.patch) to fit the new version

* Fri Jan 16 2009 Ryoji Kamei <kamei@miraclelinux.com> - 0:6.4-5%{?dist}
- apply SA-CORE-2009-001-6.8.patch (Patch6, AXBug#5772)

* Thu Dec 18 2008 Mika Kamei <mkamei@miraclelinux.com> - 0:6.4-4%{?dist}
- apply SA-2008-073-6.6.patch (Patch5, AXBug#5650)

* Tue Nov  4 2008 Mika Kamei <mkamei@miraclelinux.com> - 0:6.4-3%{?dist}
- apply SA-2008-067-6.5.patch (Patch4, AXBug#5407)

* Tue Oct 14 2008 Mika Kamei <mkamei@miraclelinux.com> - 0:6.4-2%{?dist}
- apply SA-2008-060-6.4.patch (Patch3, AXBug#5231)

* Wed Sep 17 2008 Xiao Liu <xiao.liu@asianux.com> - 0:6.4-1%{?dist}
- change source file from 6.2 to 6.4
  security fixes, SA-2008-044 SA-2008-047 (source1, AXBugzilla#4919)

* Tue Aug 12 2008 Mika Kamei <mkamei@miraclelinux.com> - 0:6.2-3%{?dist}
- fix a bug to install drupal in Chinese

* Mon Jul 28 2008 Mika Kamei <mkamei@miraclelinux.com> - 0:6.2-2%{?dist}
- add Simplified Chinese, Traditional Chinese, Japanese, Korean translation files (Source 2, 3, 4, 5, AXBug#4523)
- modify date format for Chinese, Japanese, Korean (Patch1, AXBug#4826)

* Wed Jul 02 2008 Moon, SungHo <shmoon@haansoft.com> - 0:6.2-1%{?dist}
- change source file from 6.1 to 6.2, upstream security fixes, SA-2008-026 (source1, AXBugzilla#4378)

* Tue Jul  1 2008 Tetsuya Morimoto <tmorimoto@miraclelinux.com> - 0:6.1-2%{?dist}
- add .htaccess enabled RewriteBase option(AXBug#4591)
- modify drupal.conf not to be able to access drupal page by default
  (AXBug#4524)

* Wed Mar 19 2008 Moon, SungHo <shmoon@haansoft.com> - 0:6.1-1%{?dist}
- change spec file

* Sun Mar 02 2008 Funda Wang <fundawang@mandriva.org> 0:6.1-1mdv2008.1
+ Revision: 177600
- New version 6.1

* Sat Feb 16 2008 David Walluck <walluck@mandriva.org> 0:6.0-1mdv2008.1
+ Revision: 169228
- fix install
- fix mixed-use-of-spaces-and-tabs
- 6.0

* Tue Jan 29 2008 Funda Wang <fundawang@mandriva.org> 0:5.7-1mdv2008.1
+ Revision: 159770
- New version 5.7

* Fri Jan 11 2008 Funda Wang <fundawang@mandriva.org> 0:5.6-1mdv2008.1
+ Revision: 147909
- update to new version 5.6
- requires mbstring
- new license policy
- requires php-xml

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Funda Wang <fundawang@mandriva.org> 0:5.5-1mdv2008.1
+ Revision: 116118
- update to new version 5.5

* Fri Oct 19 2007 Pascal Terjan <pterjan@mandriva.org> 0:5.3-1mdv2008.1
+ Revision: 100221
- update to new version 5.3

* Mon Aug 06 2007 Funda Wang <fundawang@mandriva.org> 0:5.2-1mdv2008.0
+ Revision: 59415
- New version 5.2


* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 5.1-1mdv2007.1
+ Revision: 134958
- 5.1
- Import drupal

* Fri May 05 2006 Lenny Cartier <lenny@mandriva.com> 4.7.0-1mdk
- 4.7.0

* Sat May 08 2004 Robert Vojta <robert.vojta@mandrake.cz> 4.4.0-2mdk
- rebuild (bug #9709)

* Fri Apr 16 2004 Daouda LO <daouda@mandrakesoft.com> 4.4.0-1mdk
- first mandrake package

